Bug 10990 - Automatic installation of LILO on FAT32 is just faggoty.
Automatic installation of LILO on FAT32 is just faggoty.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-22 14:17 EDT by dijxtra
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-16 11:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dijxtra 2000-04-22 14:17:21 EDT
Under the gnome class installation, LILO is automatically loaded as the
boot mechanism. **EVEN ON A FAT32 PARTITION** The result, as I am sure you
know, is a beautiful LI for a boot screen, which requires the user to find
his system disks and fix the problem with 'fdisk /mbr' provided he hasn't
removed MS-DOS from his computer. Remember that some of us like FAT32
under windows/LOADLIN.

This is the sort of thing that makes people think Linux is a pile of
shit.  I'm sure the installer has options somewhere for this, under
custom, but that's not the point: it is that the automatic installation of
LILO on a FAT32 partition is just dumb.
Comment 1 Jay Turner 2000-04-24 07:18:59 EDT
The Workstation installations in Red Hat Linux 6.2 (both the GNOME and KDE
workstations) install lilo to the MBR of the drive and add entries for other
operating system which the installer finds on the system (such as Windows)  So,
the installation is not writing Lilo to a FAT32 partition . . . it is writing it
to the MBR of the drive.

Not quite sure what problem you are seeing in this particular case, but it is
certainly not that Lilo was written to a FAT32 partition.

Note You need to log in before you can comment on or make changes to this bug.